View Issue Details

IDProjectCategoryView StatusLast Update
0000260FreeCADFeaturepublic2011-03-04 11:20
ReporterunauthenticatedAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.12Fixed in Version0.12 
Summary0000260: BSpline does not want on a "Drawing sheet"
DescriptionProblems putting BSplines on a "Drawing sheet"

FreeCAD_0.11.3987_x86_unstable_setup.msi
TagsNo tags attached.

Activities

wmayer

2011-02-10 12:48

administrator   ~0000585

Could be a problem with OpenCascade because it raises the exception: BSpline curve : # Poles and degree mismatch

yorik

2011-02-11 14:00

administrator   ~0000606

Hm actually this could be simply considered as "not implemented"... BSplines could/should have a special treat in the Draft module, because I think they are well supported in SVG so we could do something about it.

Should I take this bug for me Werner? Or you want to work on the OCC issue too?

wmayer

2011-02-11 15:17

administrator   ~0000608

Somebody recently reported about this problem in the forum and I had a quick look on it. The problem is that the HLR (hidden line removal) algorithm from OCC fails. So, I have to create the debug libs on Windows and should debug into the sources where the exception comes from. Maybe I can find a workaround for it.

Later of course we can check the curve type of the edge and do something special for SVG as I did it for arcs and circles.

normandc

2011-02-12 01:34

manager   ~0000609

FYI I extruded a closed BSpline and it is visible in a drawing view, but as already mentioned, the edges are not well refined.

wmayer

2011-03-04 08:37

administrator   ~0000686

Surprisingly this error doesn't occur any more. So, it could be an error in the Draft module which created a not fully correct b-spline curve.

So, the only thing to do is creating some special SVG code to handle b-splines

wmayer

2011-03-04 08:54

administrator   ~0000687

Unfortunately, I cannot find any documentation whether b-splines are supported by SVG or not. All what I found is how quadratic or cubic bezier curves are handled. So, we have to approximate b-splines by beziers if it's not directly supported.

Any further information?

wmayer

2011-03-04 08:54

administrator   ~0000688

Unfortunately, I cannot find any documentation whether b-splines are supported by SVG or not. All what I found is how quadratic or cubic bezier curves are handled. So, we have to approximate b-splines by beziers if it's not directly supported.

Any further information?

http://apike.ca/prog_svg_paths.html

wmayer

2011-03-04 11:20

administrator   ~0000689

Done in rev. 4194

Issue History

Date Modified Username Field Change
2011-02-10 10:54 unauthenticated New Issue
2011-02-10 12:48 wmayer Note Added: 0000585
2011-02-10 12:48 wmayer Status new => assigned
2011-02-10 12:48 wmayer Assigned To => wmayer
2011-02-10 12:49 wmayer Status assigned => confirmed
2011-02-11 14:00 yorik Note Added: 0000606
2011-02-11 15:17 wmayer Note Added: 0000608
2011-02-12 01:34 normandc Note Added: 0000609
2011-03-04 08:37 wmayer Note Added: 0000686
2011-03-04 08:54 wmayer Note Added: 0000687
2011-03-04 08:54 wmayer Note Added: 0000688
2011-03-04 11:20 wmayer Note Added: 0000689
2011-03-04 11:20 wmayer Status confirmed => closed
2011-03-04 11:20 wmayer Resolution open => fixed
2011-03-04 11:20 wmayer Category Bug => Feature
2011-03-04 11:20 wmayer Fixed in Version => 0.12
2011-03-04 11:20 wmayer Target Version => 0.12